#!/bin/sh
fbdate=20181122
fbmod=c2
fbname=xserver-xorg-video-fbturbo

if [ ! -e "xserver-xorg-video-fbturbo_1.${fbdate}$1.orig.tar.gz" ] ; then
  git clone https://github.com/ssvb/xf86-video-fbturbo.git xserver-xorg-video-fbturbo-1.${fbdate} && \
  tar -czv --exclude-vcs -f xserver-xorg-video-fbturbo_1.${fbdate}$1.orig.tar.gz xserver-xorg-video-fbturbo-1.${fbdate} && \
  rm -rf xserver-xorg-video-fbturbo-1.${fbdate}/
fi

if [ ! -e "${fbname}.zip" -a ! -e "${fbname}-${fbmod}.zip" -a ! -e "${fbname}-${fbmod}$1.zip" ]; then
  wget -N http://seafile.servator.de/sbc/odroid/build/${fbname}-${fbmod}.zip
  unzip ${fbname}-${fbmod}.zip
fi

tar xzvf xserver-xorg-video-fbturbo_1.${fbdate}$1.orig.tar.gz && \
cd xserver-xorg-video-fbturbo-1.${fbdate}/ && \
tar xzvf ../xserver-xorg-video-fbturbo_1.20140112-debian.tar.gz

# build
cp -p ../fbturbo-crtc-lcd-a53-rpi.patch debian/patches/ && \
echo "fbturbo-crtc-lcd-a53-rpi.patch" >> debian/patches/series
cp -p ../fbturbo-fix-depth.patch debian/patches/ && \
echo "fbturbo-fix-depth.patch" >> debian/patches/series
cp -p ../fbturbo-rename-mali-dri2.patch debian/patches/ && \
echo "fbturbo-rename-mali-dri2.patch" >> debian/patches/series

if [ "X$1" != "X-dummy" ]; then
  cp -p ../fbturbo-add-meson-and-sun4i-drm.patch debian/patches/ && \
  echo "fbturbo-add-meson-and-sun4i-drm.patch" >> debian/patches/series
fi

cp -p ../fbturbo-adapt_block_wakeuphandler_signature_for_abi_23.patch debian/patches/ && \
echo "fbturbo-adapt_block_wakeuphandler_signature_for_abi_23.patch" >> debian/patches/series
cp -p ../fbturbo-changes_for_abi_24.patch debian/patches/ && \
echo "fbturbo-changes_for_abi_24.patch" >> debian/patches/series

# c2 only
cp -p ../fbturbo-enable-crtc-lcd.patch debian/patches/ && \
echo "fbturbo-enable-crtc-lcd.patch" >> debian/patches/series

cp -p ../fbturbo-dumb_buffer_support.patch debian/patches/ && \
echo "fbturbo-dumb_buffer_support.patch" >> debian/patches/series

cp -p ../fbturbo-xf86cfg_and_fixes.patch debian/patches/ && \
echo "fbturbo-xf86cfg_and_fixes.patch" >> debian/patches/series
cp -p ../fbturbo-gt.patch debian/patches/ && \
echo "fbturbo-gt.patch" >> debian/patches/series
cp -p ../fbturbo-exa.patch debian/patches/ && \
echo "fbturbo-exa.patch" >> debian/patches/series

cp -p ../fbturbo-mode_and_vc4_fixes.patch debian/patches/ && \
echo "fbturbo-mode_and_vc4_fixes.patch" >> debian/patches/series
cp -p ../fbturbo-ump_fixes.patch debian/patches/ && \
echo "fbturbo-ump_fixes.patch" >> debian/patches/series
cp -p ../fbturbo-dri2_and_exa_fixes.patch debian/patches/ && \
echo "fbturbo-dri2_and_exa_fixes.patch" >> debian/patches/series

if ! grep -q 99-fbturbo.conf debian/xserver-xorg-video-fbturbo.conffiles 2>/dev/null ; then
  echo "/usr/share/X11/xorg.conf.d/99-fbturbo.conf" >> debian/xserver-xorg-video-fbturbo.conffiles
fi

sed -i s/'20140112'/${fbdate}$1/g debian/changelog

QUILT_PATCHES=debian/patches quilt push -a

cd ..

echo OK
